package main

import "fmt"

const max = 4000000

func isEven(b int) bool {
	res := b % 2
	if res == 0 {
		return true
	}
	return false
}

func main() {
	a, c, sum := 1, 3, 0

	for b := 1; b < max; b++ {
		if isEven(b) {
			sum += b
			c = (a + b)
			a, b = b, c
			fmt.Println(c, "=", a, "+", b)
		}
	}
	fmt.Println(sum)
}
